# Class CIM_NetworkPacketAction
extends CIM_PolicyAction

NetworkPacketAction standardizes different processing options that can be taken at the network packet level. The specific action is defined in the PacketAction enumerated property. Note that this property can be used in conjunction with other actions aggregated into a Rule, to fully define its effects. For example, when aggregated with the SAStaticAction class, NetworkPacketAction indicates whether a specific packet will be encrypted, bypassed or discarded for the lifetime of the Security Association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_NetworkPacketAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

NetworkPacketAction standardizes different processing options that can be taken at the network packet level. The specific action is defined in the PacketAction enumerated property. Note that this property can be used in conjunction with other actions aggregated into a Rule, to fully define its effects. For example, when aggregated with the SAStaticAction class, NetworkPacketAction indicates whether a specific packet will be encrypted, bypassed or discarded for the lifetime of the Security Association.

UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherAction | string |
Description | string | Description of the action when the value 1 ("Other") is specified for the property, PacketAction.
ModelCorrespondence | string | CIM_NetworkPacketAction.PacketAction
PacketAction | uint16 |
Description | string | A network packet can be processed, bypassed for processing (i.e., allowed to continue without further processing, such as being forwarded in the clear versus being encrypted), or discarded. This enumeration indicates how a packet should be handled if a PolicyRule's PolicyConditions evaluate to TRUE.
MappingStrings | string | IPSP Policy Model.IETF|IPsecBypassAction, IPSP Policy Model.IETF|IPsecDiscardAction
ModelCorrespondence | string | CIM_NetworkPacketAction.OtherAction
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Processed, Bypassed, Discarded

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods